_base_ = [
    '../_base_/models/ann_r50-d8.py',
    '../_base_/datasets/my_dataset_model.py',
    '../_base_/default_runtime.py',
    '../_base_/schedules/schedule_4k_check_400.py',
]

crop_size = (512, 512)

data_preprocessor = dict(
    size=(512, 512),
)

model = dict(
    pretrained='./My_Local_Model/open_mmlab/resnet50_v1c.pth',
    backbone=dict(
        depth=50,
    ),
    data_preprocessor=dict(
        size=(512, 512),
    ),
    decode_head=dict(
        num_classes=36,
        loss_decode=dict(
            type='DiceLoss',
            use_sigmoid=False,
            loss_weight=1.0,
        ),
        align_corners=False,
    ),
    auxiliary_head=dict(
        num_classes=36,
        loss_decode=dict(
            type='DiceLoss',
            use_sigmoid=False,
            loss_weight=0.4,
        ),
        align_corners=False,
    ),
)

